This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 640252 - tcsh obeys printexitvalue for back-ticks
tcsh obeys printexitvalue for back-ticks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcsh (Show other bugs)
5.4
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
Branislav Náter
: Patch, Reopened, ZStream
Depends On: 531353 689381
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 06:53 EDT by RHEL Product and Program Management
Modified: 2011-03-21 05:46 EDT (History)
11 users (show)

See Also:
Fixed In Version: tcsh-6.14-17.el5_5.2
Doc Type: Bug Fix
Doc Text:
Previously, if printexitvalue was set, tcsh returns the exit code as part of the command output, rendering the output unusable. With this update, output of command is correct.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 15:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-10-05 06:53:14 EDT
This bug has been copied from bug #531353 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 11 errata-xmlrpc 2010-11-03 15:19:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0823.html
Comment 12 Florian Nadge 2011-01-03 04:38:19 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, if printexitvalue was set, tcsh returns the exit code as part of the command output, rendering the output unusable. With this update, output of command is correct.

Note You need to log in before you can comment on or make changes to this bug.